shift_action

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class shift_action

    java.lang.Object
      weka.core.parser.java_cup.parse_action
          weka.core.parser.java_cup.shift_action

    public class shift_action

extends parse_action

This class represents a shift action within the parse table. The action simply stores the state that it shifts to and responds to queries about its type.

Version:
  last updated: 11/25/95
Author:
  Scott Hudson

Field Summary

Fields inherited from class weka.core.parser.java_cup.parse_action
`ERROR, NONASSOC, REDUCE, SHIFT`

Constructor Summary
`shift_action(lalr_state shft_to)` Simple constructor.

Method Summary
`boolean` | `equals(java.lang.Object other)` Generic equality test.
`boolean` | `equals(shift_action other)` Equality test.
`int` | `hashCode()` Compute a hash code.
`int` | `kind()` Quick access to type of action.
`lalr_state` | `shift_to()` The state we shift to.
`java.lang.String` | `toString()` Convert to a string.

Methods inherited from class weka.core.parser.java_cup.parse_action
`equals`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### shift_action

    public shift_action(lalr_state shft_to)
                 throws internal_error

  Simple constructor.

  Parameters:
    `shft_to` - the state that this action shifts to.
  Throws:
    `internal_error`

Method Detail

### shift_to

    public lalr_state shift_to()

  The state we shift to.

### kind

    public int kind()

  Quick access to type of action.

  Overrides:
    `kind` in class `parse_action`

### equals

    public boolean equals(shift_action other)

  Equality test.

### equals

    public boolean equals(java.lang.Object other)

  Generic equality test.

  Overrides:
    `equals` in class `parse_action`

### hashCode

    public int hashCode()

  Compute a hash code.

  Overrides:
    `hashCode` in class `parse_action`

### toString

    public java.lang.String toString()

  Convert to a string.

  Overrides:
    `toString` in class `parse_action`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD